function OnDressChanged()
	RemoveObject("gpc1")
	RemoveObject("gqc1")
	RemoveObject("grc1")	
	if DRESS_MADELEINE then
		-- reflet Madeleine
		PutObject("gpc1")
	elseif DRESS_CESAR then
		-- reflet César
		PutObject("gqc1")
	elseif DRESS_MONK then
		-- reflet Madeleine en moine
		PutObject("grc1")
	end
end
function OnWarpEnter() 
	SetMarker("cs\\Warp_0066.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0063.wp" , 0 , 0) 
	Music_Change = false


	if DRESS_MADELEINE then
		-- reflet Madeleine
		PutObject("gpc1")
	elseif DRESS_CESAR then
		-- reflet César
		PutObject("gqc1")
	elseif DRESS_MONK then
		-- reflet Madeleine en moine
		PutObject("grc1")
	end

	if not GUARD_QUEEN_ROOM_D5 then
		StartAnimationPart("fxc1",10,40,-1,false)
		PutObject("ubc1")
	end

--DAY3
	if ETAT_DAY == "D3" then 
		if CONSTANCE_DOOR_ROOM_OPENED then
			SetMarker("cs\\Warp_0065.wp" , 0 , 0) 
		end
		if TALK_ABOUT_CONSTANCE_0063_D3 and not CONSTANCE_DOOR_ROOM_OPENED then
			SetMarker("CONSTANCE_ROOM", 4, 0)
		end
	end 

--DAY4
	if ETAT_DAY == "D4" then 
--		if CONSTANCE_DOOR_ROOM_OPENED then
			SetMarker("cs\\Warp_0065.wp" , 0 , 0) 
--		end
--		if MENTION_CONSTANCE then
--			SetMarker("cs\\Warp_0065.wp" , 0 , 0) 
--		end
	end
end

function OnDialogFinished(dialogName)
	if ETAT_DAY == "D3" then
		if dialogName == "Co2367" then -- Entrez.
			SetMarker("cs\\Warp_0065.wp" , 0 , 0) 
			SetMarker("CONSTANCE_ROOM", -1, 0)
			CONSTANCE_DOOR_ROOM_OPENED = true
		end
	end
end

function OnWarpLeave()
	if Music_Change then
		-- Musique
		Music_Change = false
		PlayMusic("Sounds/Musiques/M_Pain.ogg")
	end
end
function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0066.wp" then 
		if O_quatrain_063 and not TalkedScribe_066 then
			if not DRESS_CESAR then
				DrawText("Ma1087","Ma1087.ogg",0) --Non, j'ai quelque chose à faire avant...
			else
				ChangeWarp("3D\\cs\\Warp_0066.wp")
			end
		else
			ChangeWarp(objectName)
		end
	end

	if objectName == "3D\\cs\\Warp_0065.wp" then 
		if ETAT_DAY == "D4" then
			if CONSTANCE_DOOR_ROOM_OPENED and Aphrodisiac_212 then
				ChangeWarp(objectName)
			elseif not CONSTANCE_DOOR_ROOM_OPENED and Aphrodisiac_212 then
				DrawText("Ma0220","Ma0220.ogg", 0) -- Not yet!
			elseif CONSTANCE_DOOR_ROOM_OPENED and not Aphrodisiac_212 then
				DrawText("Ma0220","Ma0220.ogg", 0) -- Not yet!
				DrawText("Ma2792","Ma2792.ogg", 0) -- Je n'ai pas l'aphrodisiaque qu'elle voulait !
			end
		else
			if CONSTANCE_DOOR_ROOM_OPENED then
				ChangeWarp(objectName)
				if (Madeleine_Constance_D3 or Cesar_Constance_D3) and not First_Entry_W065 then
					Music_Change = true
				end
			end
		end
	end

	if objectName == "3D\\cs\\Warp_0063.wp" then 
		ChangeWarp(objectName)
	end

--DAY3
	if ETAT_DAY == "D3" then 
		if objectName == "gpc1" then

		elseif objectName == "3D\\CONSTANCE_ROOM" then
			if TALK_ABOUT_CONSTANCE_0063_D3 and not CONSTANCE_DOOR_ROOM_OPENED then
				SetMarker("CONSTANCE_ROOM", -1, 0)
				if DRESS_MADELEINE then
					Madeleine_Constance_D3 = true
					DrawText("Ma2363","Ma2363.ogg", 0) -- Constance ?
					DrawText("Co2365","Co2365.ogg", 8) -- Oui.
					DrawText("Ma2366","Ma2366.ogg", 0) -- Je suis Madeleine de Nostredame, je viens aider mon frère dans ses recherches au sujet des décès survenus ces derniers jours.
					DrawText("Co2367","Co2367.ogg", 8) -- Entrez.
				elseif DRESS_CESAR then
					Cesar_Constance_D3 = true
					DrawText("Ce2370","Ce2370.ogg", 1) --  Constance ?
					DrawText("Co2371","Co2371.ogg", 8) --  Oui.
					DrawText("Ce2372","Ce2372.ogg", 1) -- Je suis César de Nostredame, je fais des recherches au sujet des décès survenus ces derniers jours.
					DrawText("Co2367","Co2367.ogg", 8) -- Entrez.
				end
			
			end
		end
	end
end
